﻿@model IEnumerable<MIMS.Portal.ViewModels.DeviceViewModel>
@using MIMS.Portal.Commons.Extensions;

@{
    ViewData["PageTitle"] = "دستگاه‌ها";
}

<section id="device-index">
    <div class="card">
        <div class="card-header">
            <h4 class="">فهرست</h4>
        </div>
        <div class="card-body">
            <div class="card-block">
                    <div class="table-responsive">
                        <table class="table table-hover header-border text-nowrap">
                            <thead class="thead-inverse">
                                <tr>
                                    @if (User.IsInRole("Admin"))
                                    {
                                        <th>@Html.DisplayNameFor(model => model.SupervisorUserId)</th>
                                    }
                                    <th>@Html.DisplayNameFor(model => model.PosBrandId)</th>
                                    <th>@Html.DisplayNameFor(model => model.PosModelId)</th>
                                    <th>@Html.DisplayNameFor(model => model.Serial)</th>
                                    <th>@Html.DisplayNameFor(model => model.ConnectionType)</th>
                                    <th>@Html.DisplayNameFor(model => model.OsType)</th>
                                    <th>@Html.DisplayNameFor(model => model.AppVersion)</th>
                                    <th>@Html.DisplayNameFor(model => model.OwnerType)</th>
                                    <th>@Html.DisplayNameFor(model => model.Status)</th>
                                    <th>@Html.DisplayNameFor(model => model.CreatedDate)</th>

                                    <th class="no-sort"><em class="fa fa-cog"></em></th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach (var item in Model)
                                {
                                    <tr>
                                        @if (User.IsInRole("Admin"))
                                        {
                                            <th>@item.SupervisorName</th>
                                        }
                                        <td>@item.BrandName</td>
                                        <td>@item.ModelName</td>
                                        <td>@item.Serial</td>
                                        <td>@Html.DisplayFor(modelItem => item.ConnectionType)</td>
                                        <td>@Html.DisplayFor(modelItem => item.OsType)</td>
                                        <td>@item.AppVersion</td>
                                        <td>@Html.DisplayFor(modelItem => item.OwnerType)</td>
                                        <td>@Html.DisplayFor(modelItem => item.Status)</td>
                                        <td><span dir="ltr">@item.CreatedDate.ToPeString()</span></td>
                                        <td>
                                            <a hidden asp-action="Details" asp-controller="PosDevices" asp-route-id="@item.Id" class="btn btn-secondary fa fa-fw fa-eye" data-toggle="tooltip" title="جزئیات"></a>
                                            <a asp-action="Edit" asp-controller="PosDevices" asp-route-id="@item.Id" class="btn btn-info fa fa-fw fa-edit" data-toggle="tooltip" title="ویرایش"></a>
                                        </td>
                                    </tr>
                                }
                            </tbody>
                        </table>
                    </div>
            </div>
        </div>
        <div class="card-footer">
            <small>
                آخرین بروز رسانی لحظاتی پیش
            </small>
        </div>
    </div>
</section>





